/* ************************************************************************************************************ */
/* **************    Vlastni zakladni tridy       ************************************************************************** */
/* ************************************************************************************************************ */

/* def. barvy */
.red{ color: darkred; }
.green{ color: darkgreen; }
.gray{ color: gray; }
.bg-red{ background-color: darkred; }
.bg-green{ background-color: darkgreen; }
.bg-gray{ background-color: gray; }

/* def. pisma */
.bold{ font-weight: bold; }
.normal{ font-weight: normal; }
.italic{ font-style: italic; }
.center { text-align: center; }
.left { text-align: left; }
.right { text-align: right; }
.justify { text-align: justify; }
.strike { text-decoration: line-through; }
.underline{ text-decoration: underline; }
.small { font-size: small; }
/* def. delicich car */
.hr-dotted { border-style: dotted !important; }
.hr-dashed { border-style: dashed !important; }
/* kulaty prvek, napr. tlacitko */
.circle { border-radius: 50%; }
/* vynucene kurzory mysi */
.cursor-pointer { cursor: pointer; }
.cursor-default { cursor: default; }
/* skryti */
.no-display{ display: none !important; }

/* def. vlastnosti elementu */
.full-width { width: 100%; }
.full-height { height: 100%; }
.width-100 { width: 100px; }
.width-150 { width: 150px; }
.width-200 { width: 200px; }
.inline-block {
    display: inline-block;
    padding-bottom: 3px;
}
.no-padding { padding: 0px; }
.no-margin { margin: 0px; }

/* stin zdurazneni textu */
.text-blur-shadow-white { text-shadow: 0px 0px 2px rgba(255, 255, 255, 1); }
.text-blur-shadow-black { text-shadow: 0px 0px 2px rgba(0, 0, 0, 1); }

/* vertikalni centrovani elementu vuci nadrazenemu elementu */
.center-vertical {
    position: relative;
    top: 50%;
    transform: translateY(-50%);
}

/**** Textovy responzivni multi-column ****/
.my-text-multicolumn {
    column-width: 280px;
    -webkit-column-count: 4; /* Chrome, Safari, Opera */
    -moz-column-count: 4; /* Firefox */
    column-count: 4;
    column-rule: 1px solid lightblue;
}
@media (max-width: 800px) {
    .my-text-multicolumn {
        -webkit-column-count: 2; /* Chrome, Safari, Opera */
        -moz-column-count: 2; /* Firefox */
        column-count: 2;
    }
}
@media (max-width: 500px) {
    .my-text-multicolumn {
        -webkit-column-count: 1; /* Chrome, Safari, Opera */
        -moz-column-count: 1; /* Firefox */
        column-count: 1;
    }
}

/******** Doplneni ci prepsani Bootstrapu **********/
/* ramecek pro defaultni alert */
.alert-default {
    border-color: grey;
}
/* velmi male tlacitko */
.btn-myxs {
    padding: 0px 5px;
}
/* extra male tlacitko */
.btn-myxs2 {
    padding: 0px 2px;
    width: 30px;
}
/* velmi male indikacni (tlacitko) */
.btn-myxxs {
    padding: 0px 2px;
    font-size: 8px;
    font-weight: bold;
    vertical-align: middle;
}
/* mala polozka formulare */
.form-control-myxs {
    width: 70px;
    height: calc(1em + 0.3rem + 2px);
    padding: .0rem .5rem;
    font-size: .875rem;
    line-height: 1.5;
    border-radius: .2rem;
    vertical-align: middle;
}
/* duraznejsi ramecky alertu, aby byly videt i na sedem pozadi */
.alert-success { border-color: #00a238; }
.alert-danger { border-color: #813838; }
.alert-info { border-color: #00779a; }
.alert-warning { border-color: #ab8100; }
/* klasicka legenda u fieldsetu formulare */
legend.my-fieldset-legend {
    font-size: 0.8rem;
    margin-bottom: 0;
    padding: 0px 5px;
    width: auto;
}
/* hlavicka tabulky ma text zrovnan top */
.table thead th {
    vertical-align: top;
}
/* pokud je v hlavicce tabulky pouzito float-right, tak ma objekt min-sirku 30px */
.table thead th .float-right .set-min-width {
    min-width: 25px;
}
/* odkaz v hlavicce tabulky bude cerny a potrzeny - jde o volbu razeni */
.table thead th a {
    color: black;
    text-decoration: underline;
}
/* male kolecko */
.my-small-circle {
    display: inline-block;
    border-radius: 50%;
    width: 12px;
    height: 12px;
}
/* vertikalni input-group */
.my-input-group-vertical .my-input-group-vertical-item * {
    border-radius: 0.25rem;
    padding: 0.15rem 0.5rem;
}
.my-input-group-vertical .my-input-group-vertical-item:first-child {
    padding-bottom: 0;
}
.my-input-group-vertical .my-input-group-vertical-item:first-child * {
    border-bottom-left-radius: 0;
    border-bottom-right-radius: 0;
}
.my-input-group-vertical .my-input-group-vertical-item:last-child {
    padding-top: 0;
}
.my-input-group-vertical .my-input-group-vertical-item:last-child * {
    border-top-left-radius: 0;
    border-top-right-radius: 0;
}
.my-input-group-vertical .my-input-group-vertical-item:not(:last-child):not(:first-child) {
    padding-top: 0;
    padding-bottom: 0;
}
.my-input-group-vertical .my-input-group-vertical-item:not(:last-child):not(:first-child) * {
    border-radius: 0;
}
.my-input-group-vertical .my-input-group-vertical-item:not(:first-child) * {
    border-top: 0;
}


/************ Doplneni fontu Awesome ***********/
/* normalni velikost pro nasebe naskladane ikony */
.fa-stack-my-normal-size {
    position: relative;
    display: inline-block;
    width: 1em;
    height: 1em;
    /*line-height: 2em;
    vertical-align: middle;*/
}
/* pridam za ikonu trochu mista - dobre u tlacitek */
.my-icon-right-space {
    margin-right: 5px;
}
.my-icon-left-space {
    margin-left: 5px;
}

/********** Doplneni Angularu *****************/
/* vypis polozek u Angucomplete */
.angucomplete-dropdown .angucomplete-selected-row {
    background-color: #20a8d8;
}
/* zvyrazneni hledane casti v textu */
.angucomplete-dropdown .angucomplete-description .highlight {
    font-weight: bold;
}
/* cola oblast a nalezenymi polozkami */
.angucomplete-dropdown {
    border-color: #20a8d8;
    background-color: #f4f4f4;
    /* sirka muze byt bud 100% input elementu, nebo nekonecna */
    width: inherit;
    max-width: 100%;
}

/* ************************************************************************************************************ */
/* **************    KONEC: Vlastni zakladni tridy       ************************************************************************** */
/* ************************************************************************************************************ */

/* ************************************************************************************************************ */
/* **************    Vlastni pokrocile tridy       ************************************************************************** */
/* ************************************************************************************************************ */

/* vlastni responzivni tabulka - bunky se skladaji pod sebe */
@media screen and (max-width: 600px) {
    .my-responsive-table tr td, .my-responsive-table tr th {
        display: block;
        width: 100% !important;
        border: 0px !important;
        padding-bottom: 0em;
        padding-top: 0em;
    }
    .my-responsive-table tr td:first-child, .my-responsive-table tr th:first-child {
        padding-top: 0.75em;
    }
    .my-responsive-table tr td:last-child, .my-responsive-table tr th:last-child {
        padding-bottom: 0.75em;
    }
    .my-responsive-table tr {
        border: 1px solid #c8ced3;
    }
}

/* ************************************************************************************************************ */
/* **************    KONEC: Vlastni pokrocile tridy       ************************************************************************** */
/* ************************************************************************************************************ */

/* ************************************************************************************************************ */
/* **************    Vlastni konkretni styly       ************************************************************************** */
/* ************************************************************************************************************ */



/* ************************************************************************************************************ */
/* **************    KONEC: Vlastni konkretni styly       ************************************************************************** */
/* ************************************************************************************************************ */
